<span *ngIf="auth.user | async">{{ auth.user ? (auth.user | async)?.displayName : "Loading..."}}</span>
<span *ngIf="(auth.user | async) == null"><a href="#" (click)="OnLoginClick()">Login</a></span>
<span *ngIf="auth.user | async"><button mat-button (click)="OnLogoutClick()">Logout...</button></span>